Bug 128169 - [SOUP] Remove custom URI schemes implementation
Summary: [SOUP] Remove custom URI schemes implementation
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: Soup
Depends on: 128177
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-04 02:27 PST by Carlos Garcia Campos
Modified: 2014-10-10 05:50 PDT (History)
7 users (show)

See Also:


Attachments
Checking if we can fully remove this CUSTOM_PROTOCOLS flag (63.90 KB, patch)
2014-10-09 09:37 PDT, Pascal Jacquemart
no flags Details | Formatted Diff | Diff
Remove custom URI schemes implementation (35.08 KB, patch)
2014-10-10 03:19 PDT, Pascal Jacquemart
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2014-02-04 02:27:35 PST
In favor of using custom protocols. All ports based on soup should switch to custom protocols, now that there's a soup implementation.
Comment 1 Pascal Jacquemart 2014-10-09 09:37:38 PDT
Created attachment 239544 [details]
Checking if we can fully remove this CUSTOM_PROTOCOLS flag
Comment 2 Pascal Jacquemart 2014-10-09 15:06:04 PDT
Do you think we could safely remove this CUSTOM_PROTOCOLS compilation switch?
Shall we ask first on the mailing list if anyone would object?
I have serious doubts about the Win bot. Would windows port be affected by this cleanup?
Comment 3 Carlos Garcia Campos 2014-10-09 23:21:37 PDT
Pascal, thanks for working on this. What I'm sure is that we can remove the old soup implementation, which is what this bug is about. So, I would submit a patch here to remove the soup code, and file a new bug report for the flag removal, sending an email to webkit-dev as well, to let everybody know and in case someone may object.
Comment 4 Pascal Jacquemart 2014-10-10 03:19:45 PDT
Created attachment 239614 [details]
Remove custom URI schemes implementation

At least I am glad to see that all ports can now compile with this CUSTOM_PROTOCOLS flag removal
This patch removes old custom URI schemes implementation, still keeping the CUSTOM_PROTOCOLS flag

The policy applied is as follow:
#if USE(SOUP) && !ENABLE(CUSTOM_PROTOCOLS) -> Remove
#if !ENABLE(CUSTOM_PROTOCOLS) inside a soup related file -> Remove
#if USE(SOUP) && ENABLE(CUSTOM_PROTOCOLS) -> Keep
#if ENABLE(CUSTOM_PROTOCOLS) -> keep
Comment 5 WebKit Commit Bot 2014-10-10 05:49:59 PDT
Comment on attachment 239614 [details]
Remove custom URI schemes implementation

Clearing flags on attachment: 239614

Committed r174584: <http://trac.webkit.org/changeset/174584>
Comment 6 WebKit Commit Bot 2014-10-10 05:50:06 PDT
All reviewed patches have been landed.  Closing bug.